using PlcUiControl;
using Sunny.UI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PlcUiForm;

namespace YangjieTester.点检视图
{
    [FormDescriptionAttribute("点检视图画面")]
    public partial class OtherForm : PlcBaseForm
    {
        public OtherForm()
        {
            InitializeComponent();
        }

        private void OtherForm_Load(object sender, EventArgs e)
        {
            uiTextBox1.Text = string.Join(Environment.NewLine, AppSession.UserOperations.AsEnumerable()
            .Reverse()
            .ToList());

            uiTextBox2.Text = string.Join(Environment.NewLine, AppSession.ReadWriteErrors.AsEnumerable()
            .Reverse()
            .ToList());
        }
    }
}
